Name:           python-musicbrainz2
Version:        0.7.0
Release:        17%{?dist}
Summary:        Library which provides access to the MusicBrainz Database

License:        BSD
URL:            http://musicbrainz.org/doc/PythonMusicBrainz2
Source0:        http://users.musicbrainz.org/~matt/python-musicbrainz2-%{version}.tar.gz

Patch3:	        0003-Support-both-the-0.2.x-and-the-0.1.x-versions-of-the.patch

BuildArch:      noarch

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel

%global _description\
The package python-musicbrainz2 is a client library written in python,\
which provides easy object oriented access to the MusicBrainz Database\
using the XMLWebService. It has been written from scratch and uses a\
different model than PythonMusicbrainz, the first generation python\
bindings.

%description %_description

%package -n python2-musicbrainz2
Summary: %summary
Requires:       libdiscid
%{?python_provide:%python_provide python2-musicbrainz2}

%description -n python2-musicbrainz2 %_description

%prep
%setup0 -q
%patch3 -p1

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}
 
%check
CFLAGS="%{optflags}" %{__python} setup.py test

%files -n python2-musicbrainz2
%doc AUTHORS.txt CHANGES.txt COPYING.txt INSTALL.txt README.txt
%{_bindir}/mb-submit-disc
%{python_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 24 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-16
- Add python2-devel dependency

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-15
- Python 2 binary package renamed to python2-musicbrainz2
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.0-9
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jan  6 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.0-1
- Update to 0.7.0
- Drop upstreamed patches
- Switch to using global instead of define

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.0-3
- Rebuild for Python 2.6

* Fri Aug  1 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.0-2
- Add some patches from upstream SVN
- Clean up cruft for compatibility with previous releases of Fedora.
- Add a patch that lets either version 0.2.x or 0.1.x of libdiscid be used.

* Fri Aug  1 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.0-1
- Update to 0.6.0

* Fri Jan  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.5.0-2
- Update to build/package egg info files.

* Fri Nov 16 2007 Alex Lancaster <alexlan@fedoraproject.org> - 0.5.0-1
- Update to latest upstream: 0.5.0
- Requires: libdiscid to get DiscID support (#248308)

* Mon Jan 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-1
- Update to 0.4.1

* Tue Dec 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-3
- Don't require python-ctypes in development as it's included in the
  main Python package

* Fri Dec  8 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-2
- Bump release for rebuild with Python 2.5.

* Tue Nov 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-1
- Update to 0.4.0.

* Wed Aug 16 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3.1-2
- Add Requires for python-ctypes and libmusicbrainz.
- Add check section.

* Sun Aug 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3.1-1
- First version for Fedora Extras

